<div ng-controller="Insights as insights">
  <ul class="insight-list">
    <li ng-repeat="insightOption in insights.insightOptions">
      <button type="button" class="btn btn-default" ng-click="insights.openInsight(insightOption)">
        <i class="fa fa-fw fa-lightbulb-o"></i>{{insights.getLabel(insightOption)}}
      </button>
    </li>
  </ul>
</div>